Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Contact Center

Four new APIs and five Queues webhook events

API release

Summary:Added three new Reports APIs, one new Campaigns API and five new Queues webhooks. Added over a dozen fields across the Reports V2 (CX Analytics), Queue Waiting Experiences, Address Books, Operating Hours, Campaigns, Users, and Queues API endpoints and six Teams webhook events.

Added

  • New Reports V2 (CX Analytics) APIs:
    • GET /v2/contact_center/analytics/log/historical/agent_work_session
    • GET /v2/contact_center/analytics/log/historical/agent_opt
    • GET /v2/contact_center/analytics/log/historical/agent_compliance
  • New Campaigns API:
    • PATCH /v2/contact_center/outbound_campaign/campaigns/{campaignId}/contact_lists
  • New Queues webhook events:
    • contact_center.queue_disposition_unassigned
    • contact_center.queue_disposition_assigned
    • contact_center.queue_disposition_updated
    • contact_center.queue_disposition_set_assigned
    • contact_center.queue_disposition_set_unassigned

Changed

  • New inbound_inactive_conversation_duration, callback_retry_registered_count, inbound_active_conversation_duration, callback_outcome, inbound_handled_excluding_callbacks_count, callback_connected_count, callback_disconnected_duration, callback_outcome, callback_retry_triggered_count, outbound_active_conversation_duration, out_sla_count, outbound_inactive_conversation_duration, and in_sla_count response fields in this Reports V2 (CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/queue_performance
  • New agent_involved, auto_close_disconnect_count, zva_interaction_turn_count, zva_tools_used_count, parked_count,zva_skills_used_count, parked_duration, zva_consumer_messages_sent_count, zva_agent_messages_sent_count, zva_non_interactive_drop_off_count, zva_conversation_duration, zva_interactive_engagement_count, and zva_articles_used_count response fields in this Reports V2 (CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/engagement
  • New customer_ring_disconnect_count and agent_message_received_count response fields in these Reports V2 (CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/agent_performance
  • New division_name and division_id response fields in these Users APIs:
    • GET /v2/contact_center/users/{userId}
    • GET /v2/contact_center/users
  • New accept_menu response fields in these Queue Waiting Experiences APIs:
    • PUT /v2/contact_center/queue_waiting_experiences/{queueId}/interrupt_menu
    • PUT /v2/contact_center/queue_waiting_experiences/{queueId}/interrupt_menu
    • PUT /v2/contact_center/queue_waiting_experiences/{queueId}/interrupt_menu
  • New division_name and division_id response fields in these Address Books APIs:
    • GET /v2/contact_center/address_books/units
    • GET /v2/contact_center/address_books/custom_fields
    • GET /v2/contact_center/address_books
    • GET /v2/contact_center/address_books/{addressBookId}/contacts
    • GET /v2/contact_center/address_books/contacts/{contactId}/custom_fields
  • New division_name and division_id response fields in these Operating Hours APIs:
    • GET /v2/contact_center/closures/{closureSetId}
    • GET /v2/contact_center/closures/{closureSetId}/queues
    • GET /v2/contact_center/closures/{closureSetId}/flows
    • POST /v2/contact_center/closures
  • New disposition_time,disposition_count and current_disposition_id response fields in this Reports V2 (CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/disposition
  • New active_conversation_duration and inactive_conversation_duration response fields in these Reports V2 (CX Analytics) APIs:
    • GET /v2/contact_center/analytics/dataset/historical/engagement
    • GET /v2/contact_center/analytics/dataset/historical/queue_performance
    • GET /v2/contact_center/analytics/dataset/historical/agent_performance
  • New next_page_token request field in these Address Books APIs:
    • GET /v2/contact_center/address_books/custom_fields
    • GET /v2/contact_center/address_books/{addressBookId}/contacts
  • New X-Zoom-Division-Id request field in these Campaigns APIs:
    • PATCH /v2/contact_center/outbound_campaign/contact_list_custom_fields/{customFieldId}
    • POST /v2/contact_center/outbound_campaign/contact_list_custom_fields
    • DELETE /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts/{contactId}
    • GET /v2/contact_center/outbound_campaign/contact_list_custom_fields/{customFieldId}
    • PATCH /v2/contact_center/outbound_campaign/contact_lists/{contactListId}
    • POST /v2/contact_center/outbound_campaign/dnc_lists/{dncListId}/phones
    • PATCH /v2/contact_center/outbound_campaign/contact_lists
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}
    • PATCH /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts/{contactId}
    • DELETE /v2/contact_center/outbound_campaign/contact_lists/{contactListId}
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts/{contactId}
    • POST /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
    • POST /v2/contact_center/outbound_campaign/contact_lists
    • DELETE /v2/contact_center/outbound_campaign/contact_list_custom_fields/{customFieldId}
    • POST /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts/batch
    • PATCH /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
    • DELETE /v2/contact_center/outbound_campaign/dnc_lists/{dncListId}/phones
  • New next_page_token request field in these Reports V2 (CX Analytics) APIs:
    • GET /v2/contact_center/analytics/dataset/historical/engagement
    • GET /v2/contact_center/analytics/dataset/historical/queue_performance
    • GET /v2/contact_center/analytics/dataset/historical/disposition
    • GET /v2/contact_center/analytics/dataset/historical/flow_performance
    • GET /v2/contact_center/analytics/dataset/historical/outbound_dialer_performance
    • GET /v2/contact_center/analytics/dataset/historical/agent_timecard
    • GET /v2/contact_center/analytics/dataset/historical/agent_performance
  • New direction and dnis response fields in this Reports V2 (CX Analytics) API:
    • GET /v2/contact_center/analytics/dataset/historical/flow_performance
  • New page_size, division_id, and division_name request fields in these Queues APIs:
    • GET /v2/contact_center/queues
    • GET /v2/contact_center/queue_templates
  • New division_name and division_id response fields in these Campaigns APIs:
    • POST /v2/contact_center/outbound_campaign/contact_list_custom_fields
    • GET /v2/contact_center/outbound_campaign/contact_list_custom_fields/{customFieldId}
    • GET /v2/contact_center/outbound_campaign/contact_list_custom_fields
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}
    • GET /v2/contact_center/outbound_campaign/contact_lists
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts/{contactId}
    • GET /v2/contact_center/outbound_campaign/contacts/{contactId}/custom_fields
    • POST /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
    • GET /v2/contact_center/outbound_campaign/dnc_lists/{dncListId}/phones
    • POST /v2/contact_center/outbound_campaign/contact_lists
  • New X-Zoom-Division-Id request field in this Users API:
    • GET /v2/contact_center/users/{userId}
  • New X-Zoom-Division-Id request field in these Address Books APIs:
    • DELETE /v2/contact_center/address_books/{addressBookId}/contacts/batch
    • GET /v2/contact_center/address_books/{addressBookId}
    • PATCH /v2/contact_center/address_books/{addressBookId}/contacts/{contactId}
    • PATCH /v2/contact_center/address_books/{addressBookId}/contacts/batch
    • DELETE /v2/contact_center/address_books/{addressBookId}/contacts/{contactId}
    • DELETE /v2/contact_center/address_books/{addressBookId}
    • PATCH /v2/contact_center/address_books/custom_fields/{customFieldId}
    • GET /v2/contact_center/address_books/units/{unitId}
    • PATCH /v2/contact_center/address_books/units/{unitId}
    • POST /v2/contact_center/address_books/{addressBookId}/contacts/batch
    • DELETE /v2/contact_center/address_books/custom_fields/{customFieldId}
    • PATCH /v2/contact_center/address_books/{addressBookId}
    • DELETE /v2/contact_center/address_books/units/{unitId}
    • POST /v2/contact_center/address_books/custom_fields
    • GET /v2/contact_center/address_books/{addressBookId}/contacts/{contactId}
    • POST /v2/contact_center/address_books/{addressBookId}/contacts
    • GET /v2/contact_center/address_books/custom_fields/{customFieldId}
    • POST /v2/contact_center/address_books/units
  • New X-Zoom-Division-Id request field in these Operating Hours APIs:
    • GET /v2/contact_center/closures/{closureSetId}
    • POST /v2/contact_center/closures
  • New division_id, page_size, X-Zoom-Division-Id, division_name, and next_page_token response fields in this Inboxes API:
    • GET /v2/contact_center/inboxes/{inboxId}/queues
  • New X-Zoom-Division-Id request field in this Queues API:
    • GET /v2/contact_center/queues/{queueId}
  • New page_size request field in these Users API:
    • GET /v2/contact_center/users
  • New page_size request field in these Reports V2 (CX Analytics) APIs:
    • GET /v2/contact_center/analytics/dataset/historical/queue_performance
    • GET /v2/contact_center/analytics/dataset/historical/disposition
    • GET /v2/contact_center/analytics/dataset/historical/flow_performance
    • GET /v2/contact_center/analytics/dataset/historical/agent_performance
  • New page_size request field in these Address Books APIs:
    • GET /v2/contact_center/address_books/units
    • GET /v2/contact_center/address_books
    • GET /v2/contact_center/address_books/contacts/{contactId}/custom_fields
  • New page_size request field in these Operating Hours APIs:
    • GET /v2/contact_center/closures/{closureSetId}/queues
    • GET /v2/contact_center/closures/{closureSetId}/flows
  • New is_accept_menu response fields in this Queue Waiting Experiences API:
    • PUT /v2/contact_center/queue_waiting_experiences/{queueId}/interrupt_menu
  • New page_size request field in these Campaigns APIs:
    • GET /v2/contact_center/outbound_campaign/contact_list_custom_fields
    • GET /v2/contact_center/outbound_campaign/contact_lists/{contactListId}/contacts
    • GET /v2/contact_center/outbound_campaign/contact_lists
    • GET /v2/contact_center/outbound_campaign/contacts/{contactId}/custom_fields
    • GET /v2/contact_center/outbound_campaign/dnc_lists/{dncListId}/phones
  • New engagement_count response field in these Reports V2 (CX Analytics) APIs:
    • GET /v2/contact_center/analytics/dataset/historical/engagement
    • GET /v2/contact_center/analytics/dataset/historical/expert_assist
    • GET /v2/contact_center/analytics/dataset/historical/outbound_dialer_performance
  • New division_id and division_name fields in these Teams webhook events:
    • contact_center.team_created
    • contact_center.team_moved
    • contact_center.team_members_assigned
    • contact_center.team_members_unassigned
    • contact_center.team_deleted
    • contact_center.team_updated